Subject: wire-feeds

From: [email-masked]
Date: Thu, 14 Mar 1996 20:07:21 -0800 (PST)

Hello, all.  I'm in the process of getting the garage/smithy wired for
230vac. and figured it was time to go out and price some MIG welders.  Since
I've never bought one before, I thought that some of you might have some
useful input.
The three major contenders are:
Millermatic 150 ($830)
Lincoln SP-170T ($700)
Comparc M-170 ($519)...including a Tweco gun.
  I like the Miller, but it seems that the main advantage is that it'll
handle the larger wire spools (up to 12"), which, frankly I'm not sure I'll
need.  The 12" spools are cheaper pound for pound, though.
  The Comparc is made by Miller's Mexican division (Miller de Mexico), and
has the same 3 year warranty as the Miller, but the brand name is new, and I
hesitate to buy from an unproven name, even though it has an
affiliation...I'd feel a lot better about it if I had some input from people
other than salesmen that had used the machine.  Still, I really like the
price on the Comparc.
  The Lincoln specs out very similar to the other two, but for the extra
$130 for the miller, I get the wheels, the integral cylinder rack, and the
ability to go with the 12" wire spools, if I want.
  Any comments and or opinions, experiences with any of the above would be
appreciated.
 Either e-mail me direct or post to the group if there's an interest.  Thanks.

George Watts
[email-masked]